This is a cordova related issue

On 13 Mar,2014, at 15:16 , Sebastien Blanc <scm.blanc@gmail.com> wrote:

Is that something related to the plugin or cordova itself that we need to remove/add again the platform when updating the plugin ?  


On Thu, Mar 13, 2014 at 3:15 PM, Corinne Krych <corinnekrych@gmail.com> wrote:
Hello again Erik

Actually doing :
cordova platform remove iOS
and then adding it again from fresh, sorted out my issue.

It works just fine.

++
Corinne

On 13 Mar 2014, at 15:07, Corinne Krych <corinnekrych@gmail.com> wrote:

> Hello Erik
>
> I think you forgot to push release brancg to aerogear repo. Iíve tested using edewit release branch. Iím on iOS7.0.6 with Xcode 5.0.2.
> Iíve uninstall previous version of plugin on my codova app and reinstall latest. but when doing cordova build I run into this compilation warning and link error:
>
> /Users/corinne/aerogear/grails/totoAeroGear/greachCordova/platforms/ios/Greach/Plugins/org.jboss.aerogear.cordova.push/PushPlugin.m:92:80: warning:
>      incompatible pointer types sending 'NSUserDefaults *' to parameter of type 'NSDictionary *' [-Wincompatible-pointer-types]
>    [registration registerWithClientInfo:[self pushConfig:deviceToken withDict:userDefaults] success:^() {
>                                                                               ^~~~~~~~~~~~
> /Users/corinne/aerogear/grails/totoAeroGear/greachCordova/platforms/ios/Greach/Plugins/org.jboss.aerogear.cordova.push/PushPlugin.m:179:103: note:
>      passing argument to parameter 'options' here
> - (void (^)(id <AGClientDeviceInformation>))pushConfig:(NSData *)deviceToken withDict:(NSDictionary *)options {
>                                                                                                      ^
> 1 warning generated.
>
> d build/emulator/Greach.app/Greach normal i386
>    cd /Users/corinne/aerogear/grails/totoAeroGear/greachCordova/platforms/ios
>    setenv IPHONEOS_DEPLOYMENT_TARGET 5.0
>    setenv PATH "/Applications/Xcode.app/Contents/Developer/Platforms/iPhoneSimulator.platform/Developer/usr/bin:/Applications/Xcode.app/Contents/Developer/usr/bin:/Users/corinne/.rvm/gems/ruby-2.0.0-p247/bin:/Users/corinne/.rvm/gems/ruby-2.0.0-p247@global/bin:/Users/corinne/.rvm/rubies/ruby-2.0.0-p247/bin:/Users/corinne/.rvm/bin:/opt/local/bin:/opt/local/sbin:/Users/corinne/.gvm/groovy/current/bin:/Users/corinne/.gvm/grails/current/bin:/Users/corinne/.gvm/griffon/current/bin:/Users/corinne/.gvm/gradle/current/bin:/Users/corinne/.gvm/vertx/current/bin:/Users/corinne/.gvm/bin:/Users/corinne/.gvm/ext:/usr/local/bin:/usr/local/sbin:/usr/bin:/bin:/usr/sbin:/sbin:/opt/X11/bin:/Users/corinne/bin/apache-maven-3.1.1/bin:/usr/local/heroku/bin:/Users/corinne/bin/scala-2.11.0-M4/bin:/Users/corinne/bin/forge-distribution-1.4.1.Final/bin:/Library/Java/JavaVirtualMachines/jdk1.7.0_15.jdk/Contents/Home/bin:.:/Users/corinne/bin/mongodb-osx-x86_64-2.2.3/bin:/Users/corinne/bin/adt/sdk/tools:/Users/corinne/bin/adt/sdk/platform-tools:/Users/corinne/aerogear/vert.x/build/vert.x-2.0.0-beta4-SNAPSHOT/bin"
>    /Applications/Xcode.app/Contents/Developer/Toolchains/XcodeDefault.xctoolchain/usr/bin/clang -arch i386 -isysroot /Applications/Xcode.app/Contents/Developer/Platforms/iPhoneSimulator.platform/Developer/SDKs/iPhoneSimulator7.0.sdk -L/Users/corinne/aerogear/grails/totoAeroGear/greachCordova/platforms/ios/build/emulator -L/Users/corinne/aerogear/grails/totoAeroGear/greachCordova/platforms/ios/Greach/Plugins/org.jboss.aerogear.cordova.push -F/Users/corinne/aerogear/grails/totoAeroGear/greachCordova/platforms/ios/build/emulator -filelist /Users/corinne/aerogear/grails/totoAeroGear/greachCordova/platforms/ios/build/Greach.build/Debug-iphonesimulator/Greach.build/Objects-normal/i386/Greach.LinkFileList -Xlinker -objc_abi_version -Xlinker 2 -weak_framework CoreFoundation -weak_framework UIKit -weak_framework AVFoundation -weak_framework CoreMedia -weak-lSystem -force_load /Users/corinne/aerogear/grails/totoAeroGear/greachCordova/platforms/ios/build/emulator/libCordova.a -ObjC -fobjc-arc -fobjc-link-runtime -Xlinker -no_implicit_dylibs -mios-simulator-version-min=5.0 -framework AssetsLibrary /Users/corinne/aerogear/grails/totoAeroGear/greachCordova/platforms/ios/build/emulator/libCordova.a -framework CoreGraphics -framework MobileCoreServices -framework CoreLocation -lpush-sdk -lpush-sdk-0.8.1 -framework Security -framework Foundation -framework SystemConfiguration -Xlinker -dependency_info -Xlinker /Users/corinne/aerogear/grails/totoAeroGear/greachCordova/platforms/ios/build/Greach.build/Debug-iphonesimulator/Greach.build/Objects-normal/i386/Greach_dependency_info.dat -o /Users/corinne/aerogear/grails/totoAeroGear/greachCordova/platforms/ios/build/emulator/Greach.app/Greach
> ld: library not found for -lpush-sdk
> clang: error: linker command failed with exit code 1 (use -v to see invocation)
>
> ** BUILD FAILED **
>
> ++
> Corinne
>
> On 13 Mar 2014, at 11:19, Erik Jan de Wit <edewit@redhat.com> wrote:
>
>> Hi Folks,
>>
>> This is a heads up for the release of the Cordova Push Plugin 0.0.3, this release solves a number of minor issues.
>> https://github.com/aerogear/aerogear-pushplugin-cordova/pull/16
>>
>> For testing clone the project and switch to the release branch and install
>>
>> git clone https://github.com/aerogear/aerogear-pushplugin-cordova.git
>> git checkout -b release
>> cordova plugin install <location of push plugin>
>> If they aren't any objections or remarks I will release the bits to bintray on Friday afternoon
>>
>> Cheers,
>>      Erik Jan
>> _______________________________________________
>> aerogear-dev mailing list
>> aerogear-dev@lists.jboss.org
>> https://lists.jboss.org/mailman/listinfo/aerogear-dev
>


_______________________________________________
aerogear-dev mailing list
aerogear-dev@lists.jboss.org
https://lists.jboss.org/mailman/listinfo/aerogear-dev

_______________________________________________
aerogear-dev mailing list
aerogear-dev@lists.jboss.org
https://lists.jboss.org/mailman/listinfo/aerogear-dev